﻿using System;
using System.Collections.ObjectModel;
using System.Windows.Data;
using System.Windows.Media;

namespace WpfInfragistics18Experiments
{
    public class PdfPlotData
    {
        public Color Color { get; set; }
    
        public DataPointCollection Points { get; private set; } 
        public DataPointCollection XHistogram { get; private set; } 
        public DataPointCollection YHistogram { get; private set; }
         
        public PdfPlotData()
        {
            Points = new DataPointCollection();
            XHistogram = new DataPointCollection();
            YHistogram = new DataPointCollection();
        }
    }

    public class PdfViewModel : ObservableModel
    { 
        public ObservableCollection<PdfPlotData> PdfCollection { get; set; }

        public Range XRange { get; set; }
        public Range YRange { get; set; }

        public int XBins { get; set; } 
        public int YBins { get; set; }
        
        public PdfViewModel()
        {
            PdfCollection = new ObservableCollection<PdfPlotData>();            
        }
        
        public void LoadData()
        {
            string filename = "datafile.txt";
            var data = new ObservableCollection<PdfPlotData>();
            var reader = new PdfReader();
            reader.ReadPdf(filename);
            foreach (var pdfPlotData in reader.Pdfs)
            {
                data.Add(pdfPlotData); 
            }
            this.PdfCollection = data;

            // collecting range of display data
            this.XRange = reader.XRange;
            this.YRange = reader.YRange;
            // collecting range of rendering data
            this.XBins = reader.XBins;
            this.YBins = reader.YBins;
        }
    }
}